**`Fredrik LINAKER `[NAME]**-NL- Contact: **`fredrik.linaker@gmail.com`[EMAILS_EMAIL]** -NL- Seeking a hands-on tech position in the finance industry -NL- Experienced developer and analytical researcher with top-tier consulting experience. -NL- I have significant experience of real-time low-latency systems and able to rapidly -NL- understand and improve special-purpose systems and algorithms. I am eager to apply -NL- these skills to financial systems design, implementation and optimization. -NL- **`Education:`[EDUCATION_HEADING]** -NL- 2000 – 2003 -NL- **`PhD`[EDUCATION_DEGREE]** Computer Science -NL- **`University of Sheffield, UK`[EDUCATION_INSTITUTE]** -NL- Created novel online data reduction algorithms for time series that allow systems to automatically discover -NL- new concepts and learn from interactions even in massively high- dimensional inputs; now adopted by -NL- several international research teams for wireless broadcasting optimization, intelligent robotics, and human -NL- consciousness models. -NL- Challenge was formulating, testing and verifying a new method for time series analysis and storage that -NL- was not based on lossy compression but instead change detection principles. This allows rare but distinct -NL- happenings to successfully influence system behaviour rather than being lost in the signal compression. -NL- Technologies involved: Java, Matlab -NL- 1993 – 1997 -NL- **`MSc`[EDUCATION_DEGREE]** in **`Machine Learning and BSc Systems Programming`[EDUCATION_COURSE]** -NL- **`University of Skövde, Sweden`[EDUCATION_INSTITUTE]** -NL- Top of both programs; granted the Travel Award for Excellence in Studies handed out to only one student -NL- per year for the entire university and offered lecturing-for-**`PhD`[EDUCATION_DEGREE]**-funding position. -NL- **`Employment Summary:`[WORK_EXPERIENCE_HEADING]** -NL- 2011 – Present **`Furimatengoku`[EMPLOYER_COMPANY_NAME]** (France / Japan) -NL- **`Development lead`[EMPLOYER_ROLE]** -NL- Led the design and implementation of **`Furimatengoku`[EMPLOYER_COMPANY_NAME]**.com which is currently growing to become the -NL- largest second-hand classifieds site in Japan. Financed by French start-up funding initiative; created all -NL- code myself and led a team of up to four people (designers/translators/testers). -NL- Challenge was custom content indexing for search due to Japanese disallowing all standard word-based -NL- solutions including Drupal’s and Apache Solr. Solution involved using Yahoo!’s language web-services -NL- and then integrating Google CSE for search suggestions and term exclusions with custom code for filters -NL- (price, model years, etc). Finished all development Feb 2013 and handed off site maintenance to partner. -NL- Technologies involved: Java, Linux servers (CentOS) and development platforms (Ubuntu), MySQL -NL- servers with replication, Javascript, jQuery, Ajax, JSON, UNIX, PHP, Drupal 6 CMS, Natural Language -NL- Processing, RESTful services, Google CSE. -NL- 2005 – 2011 -NL- **`Accenture`[EMPLOYER_COMPANY_NAME]** (France) -NL- **`Researcher & developer`[EMPLOYER_ROLE]** -NL- Personally built fully functional technology demonstrators of future business and IT systems, resulting in -NL- patents, international top-tier media hits (Financial Times, New Scientist, The Economist, etc.) and -NL- significant client contracts. Example projects: -NL- Social Media Analytics: -NL- Detect, measure and predict ‘buzz’ for new topics -NL- Find alternate ad buying strategies to reach target consumers -NL- Technologies: Java, JUnit, TDD, Unit Testing, Facebook Connect Webservices, Twitter Webservices -NL- Visual Shelf Monitoring -NL- Gathers streaming IP-camera footage from store surveillance cameras -NL- Measures stock levels, promotion efficiency and customer interaction patterns -NL- Technologies: C# (due to existing IP/cable camera abstraction APIs) -NL- Pocket Supercomputer -NL- Receive information on filmed items and interactions in mobile video call -NL- Can be thought of as predecessor to “Google Glass” -NL- Technologies: C++, MFC, Speech APIs, Intel OpenCV -NL- People Tracking in Business Environments -NL- Analytics on stored IP-camera footage from office surveillance cameras -NL- Tracks activity and movement in shared office areas on employee level -NL- Uses movement and interactions to predict work performance for individuals or teams -NL- Technologies: Java -NL- 2003 – 2005 -NL- **`Kyushu Institute of Technology`[EMPLOYER_COMPANY_NAME]** (Japan) -NL- **`Postdoctoral researcher`[EMPLOYER_ROLE]** -NL- Led the design and development of new real-time Sequential Monte Carlo robot navigation systems, -NL- resulting in several international publications, including conference, journal and book chapters. Challenge -NL- was creating real-time scalable solutions that can run on limited (mobile robotic) hardware while -NL- maintaining a level of biological plausibility (brain modelling). -NL- Technologies: C++, ATL, RS-232 sensors and actuators -NL- 1997 – 2000 -NL- **`University of Skövde `[EMPLOYER_COMPANY_NAME]**(Sweden) -NL- **`University lecturer`[EMPLOYER_ROLE]** -NL- Lectured in Object-oriented programming (Java), Artificial Intelligence, Game programming, and Genetic -NL- algorithms. This lecturing allowed subsequent **`PhD`[EDUCATION_DEGREE]** studies to be funded with maintained full salary at an -NL- eligible partner university (chose University of Sheffield in the UK). -NL- **`Technical skills:`[SKILLS_HEADING]** -NL- Java (14 years) -NL- C/C++ (12 years) -NL- PHP (3 years) -NL- SQL (10 years) -NL- MySQL (6 years) -NL- Flex/Actionscript (2 years) -NL- Linux/Unix (15 years) -NL- Matlab (6 years) -NL- C# (1 year) -NL- Javascript (3 years) -NL- jQuery (2 years) -NL- Ajax (2 years) -NL- CMS (3 years) -NL- Drupal (3 years) -NL- iOS (2 years) -NL- Objective-C (2 years) -NL- JUnit (2 years) -NL- Test Driven Development (2 years) -NL- Selected patents and publications (6 patents, 20+ publications): -NL- Linaker, F. (2008) Remote object recognition. International patent, PCT/EP2008/052306. Real-time video -NL- and audio streaming from mobile phones enable visual object recognition and virtual reality overlays -NL- through a server park; realized in the **`Accenture`[EMPLOYER_COMPANY_NAME]** Pocket Supercomputer. -NL- Linaker, F., Opalach, A., Fano, A., Groenevelt, R. (2007) Determination of product display parameters -NL- based on image processing. US Patent, 11/849,171. Visual object recognition on streaming camera images -NL- from retail supermarkets to monitor stock levels and customer interactions. -NL- Linaker, F. and Ishikawa, M. (2006). Real-time appearance-based Monte Carlo localization. In Robotics -NL- and Autonomous Systems, 54(3), pp. 205-220. Onboard cameras determine current location with great -NL- accuracy based on earlier footage of locations. -NL- Laurio, K., Linaker, F. and Narayanan, A. (2002). Regular biosequence pattern matching with cellular -NL- automata. In Information Sciences, 146, pp. 89-101. Allows long string/DNA patterns to be quickly and -NL- reliably detected in parallel using very simple locally connected processing elements. -NL- Linaker, F. and Jacobsson, H. (2001). Mobile Robot Learning of Delayed Response Tasks through Event -NL- Extraction. Seventeenth International Joint Conference on Artificial Intelligence (IJCAI 01), pp. 777-782. -NL- Time-series analysis detects time-separated connections between own actions and outcomes. -NL- Languages: English, Swedish, French -NL- 